# QGraphicsAnchorLayout Class Reference

### [com.trolltech.qt.gui package]

Inherits QGraphicsLayout.

### Constructor

- void QGraphicsAnchorLayout(QGraphicsLayoutItem parent)

### Constructor Properties

- prototype: The QGraphicsAnchorLayout prototype object

### Prototype Object Properties

The QGraphicsAnchorLayout prototype object inherits properties from the QGraphicsLayout prototype object and also has the following properties.

- QGraphicsAnchor addAnchor(QGraphicsLayoutItem firstItem, AnchorPoint firstEdge, QGraphicsLayoutItem secondItem, AnchorPoint secondEdge)
- void addAnchors(QGraphicsLayoutItem firstItem, QGraphicsLayoutItem secondItem, Orientations orientations)
- void addCornerAnchors(QGraphicsLayoutItem firstItem, Corner firstCorner, QGraphicsLayoutItem secondItem, Corner secondCorner)
- QGraphicsAnchor anchor(QGraphicsLayoutItem firstItem, AnchorPoint firstEdge, QGraphicsLayoutItem secondItem, AnchorPoint secondEdge)
- qreal horizontalSpacing()
- void setHorizontalSpacing(qreal spacing)
- void setSpacing(qreal spacing)
- void setVerticalSpacing(qreal spacing)
- qreal verticalSpacing()

### Instance Properties

QGraphicsAnchorLayout objects have no special properties beyond those inherited from the QGraphicsAnchorLayout prototype object.